#include "stdafx.h"
#include "modeldef.h"
#include "..\XBUILD\XBUILD.H"

CModelDef::CModelDef(void)
{
}

CModelDef::~CModelDef(void)
{
}

void CModelDef::SkipLine(FILE *stream, int nSize)
{
	unsigned _int8 byte = 0;
	while(byte != 0x0A && (ftell(stream) < nSize))
	{
		fread(&byte, 1, 1, stream);
	}
}

void CModelDef::LoadModelDefinitionFile(char *lpstrFile)
{
	FILE *stream;
	char strTile[32];
	char strFilename[32];
	float	fScaleFactor;
	int nSize;
	int nTile;
	stream = fopen(lpstrFile, "rb");
	fseek(stream, 0, SEEK_END);
	nSize = ftell(stream);
	fseek(stream, 0, SEEK_SET);
	XBUILD_CONSOLE_PrintFormatted("Loading model definition file from '%s'...\r\n", lpstrFile);
	while(ftell(stream) < nSize)
	{
        fscanf(stream, "%s", strTile);
		if(strTile[0] != '#')
		{
			fscanf(stream, "%s", strFilename);
			fscanf(stream, "%e", &fScaleFactor);
			sscanf(strTile, "%i", &nTile);
			strcpy(strTile, ".\\MODELS\\");
			strcat(strTile, strFilename);
			XBUILD_GFX_SetMeshForTile(nTile, strTile, fScaleFactor);
		}
		SkipLine(stream, nSize);
	}

}