// MouseOpt.cpp : implementation file
//

#include "stdafx.h"
#include "glDuke.h"
#include "MouseOpt.h"
#include "glDukeControls.h"
#include "Settings.h"
#include "MouseChng.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CSettings set;

/////////////////////////////////////////////////////////////////////////////
// CMouseOpt dialog


CMouseOpt::CMouseOpt(CWnd* pParent /*=NULL*/)
	: CDialog(CMouseOpt::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMouseOpt)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CMouseOpt::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMouseOpt)
	DDX_Control(pDX, IDC_KEYS, m_List);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMouseOpt, CDialog)
	//{{AFX_MSG_MAP(CMouseOpt)
	ON_NOTIFY(NM_DBLCLK, IDC_KEYS, OnDblclkKeys)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMouseOpt message handlers

void CMouseOpt::UpdateList()
{
	m_List.SetItemText(0, 1, lpstrControls[set.m_Setup.nMouseControls[0]]);
	m_List.SetItemText(1, 1, lpstrControls[set.m_Setup.nMouseControls[1]]);
	m_List.SetItemText(2, 1, lpstrControls[set.m_Setup.nMouseControls[2]]);
}

BOOL CMouseOpt::OnInitDialog() 
{
	CDialog::OnInitDialog();
	// TODO: Add extra initialization here
	CRect rc;
	m_List.GetClientRect(&rc);
	m_List.InsertColumn(0, "Mouse Button");
	m_List.SetColumnWidth(0, rc.Width() / 2);
	m_List.InsertColumn(1, "Function");
	m_List.SetColumnWidth(1, rc.Width() / 2);
	m_List.InsertItem(0, "Right Button", 0);
	m_List.InsertItem(0, "Middle Button", 0);
	m_List.InsertItem(0, "Left Button", 0);
	UpdateList();
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CMouseOpt::OnDblclkKeys(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	int nPos;
	nPos = m_List.GetSelectionMark();
	CMousechng dlg;
	if(nPos != -1)
	{
		dlg.m_nSelected = set.m_Setup.nMouseControls[nPos];
		dlg.m_nButton = nPos;
		if(dlg.DoModal() == IDOK)
		{
			set.m_Setup.nMouseControls[nPos] = dlg.m_nSelected;
			m_List.SetItemText(nPos, 1, lpstrControls[set.m_Setup.nMouseControls[nPos]]);
		}
	}
	*pResult = 0;
}
