// Settings.cpp: implementation of the CSettings class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "glDuke.h"
#include "Settings.h"
#define DIRECTINPUT_VERSION 0x500
#include <DINPUT.H>
#include "..\XBUILD\XBUILD.H"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

SETUP Default =
{
	"RENDVOGL.DLL",
	{
		DIK_UP,
		DIK_DOWN,
		DIK_LEFT,
		DIK_RIGHT,
		DIK_LALT,
		DIK_LCONTROL,
		DIK_SPACE,
		DIK_LSHIFT,
		DIK_CAPSLOCK,
		DIK_A,
		DIK_Z,
		DIK_PGUP,
		DIK_PGDN,
		DIK_INSERT,
		DIK_DELETE,
		DIK_COMMA,
		DIK_PERIOD,
		DIK_HOME,
		DIK_END,
		DIK_1,
		DIK_2,
		DIK_3,
		DIK_4,
		DIK_5,
		DIK_6,
		DIK_7,
		DIK_8,
		DIK_9,
		DIK_0,
		DIK_RETURN,
		DIK_LBRACKET,
		DIK_RBRACKET,
		DIK_H,
		DIK_J,
		DIK_N,
		DIK_M,
		DIK_BACK,
		DIK_T,
		DIK_TAB,
		DIK_MINUS,
		DIK_EQUALS,
		DIK_NUMPAD5,
		DIK_SCROLL,
		DIK_W,
		DIK_F,
		DIK_K,
		DIK_U,
		DIK_I,
		DIK_R,
		DIK_GRAVE,
		DIK_APOSTROPHE,
		DIK_SEMICOLON,
	},
	0x01,
	XBUILD_MUSIC_DRIVER_MCI,
	1,
	1,
	"(NORMAL DUKE)",
	NULL
};

CSettings::CSettings()
{
	CFile file;
	if(!file.Open("glDuke.DAT", CFile::modeRead))
	{
		m_nCreated = 1;
		memmove(&m_Setup, &Default, sizeof(SETUP));
	}
	else
	{
		m_nCreated = 0;
		file.Read(&m_Setup, sizeof(SETUP));
		file.Close();
	}
}

CSettings::~CSettings()
{
	CFile file;
	file.Open("glDuke.DAT", CFile::modeWrite | CFile::modeCreate);
	file.Write(&m_Setup, sizeof(SETUP));
	file.Close();
}

void CSettings::Save()
{
	CFile file;
	file.Open("glDuke.DAT", CFile::modeWrite | CFile::modeCreate);
	file.Write(&m_Setup, sizeof(SETUP));
	file.Close();
}